Subject: Re: [PATCH v2] Add a setting to require a filter to be successful

From: Jehan Bing <[email-masked]>
Date: Fri, 17 Feb 2012 16:43:41 -0800

On 2012-02-17 16:07, Junio C Hamano wrote:
> A few test in t0021 use 'false' as the filter, which can exit without
> reading any byte from us, before we start writing and causes us to die
> with SIGPIPE, leading to intermittent test failure.  I think treating this
> as a failure of running the filter (the end user's filter should read what
> is fed in full, produce its output and write the result back to us) is the
> right thing to do, and this patch needs more work to handle such a
> situation better, probably by using sigchain_push(SIGPIPE) or something.

If I understand what you're saying, current version of git already have 
the problem: if a filter fails without reading anything, git will die 
instead of using the unfiltered content. My patch has only made the 
issue apparent by testing with a failing filter.
Am I understanding correctly?